manifestVersion: 1
id: pocketbase
name: PocketBase
tagline: Серверная часть с открытым исходным кодом для вашего следующего SaaS- и мобильного приложения в 1 файле
category: developer
version: "0.37.4"
port: 5400
description: >-
  PocketBase — это серверная часть с открытым исходным кодом, состоящая из встроенной базы данных (SQLite) с подписками в реальном времени, встроенным управлением аутентификацией, удобной информационной панелью интерфейс и простым REST в стиле API.
  
  
  ⏱️ База данных в реальном времени
  
  Встроенная высокопроизводительная база данных с построителем схем, проверкой данных, подписками в реальном времени и простым в использовании API REST.
  
  
  🪪 Аутентификация
  
  Управляйте пользователями своего приложения и обрабатывайте электронную почту/пароли и регистрации OAuth2 (Google, Facebook, GitHub, GitLab) без проблем.
  
  
  💾 Хранилище файлов
  
  Разумно храните файлы локально или в хранилище S3. Легко прикрепляйте медиафайлы к записям базы данных и создавайте превью на лету.
  
  
  🧩 Выдвижной
  
  Используйте как отдельное приложение ИЛИ как платформу, которую вы можете расширить с помощью хуков Go и JavaScript для создания собственного портативного бэкэнда.
developer: PocketBase
website: https://pocketbase.io/
defaultUsername: "dfwebos@dfwebos.local"
defaultPassword: "dfwebos-pocketbase"
submitter: Sharknoon
submission: https://github.com/getumbrel/dfwebos-apps/pull/1082
repo: https://github.com/pocketbase/pocketbase
support: https://github.com/pocketbase/pocketbase/discussions
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
path: /_/
dependencies: []
releaseNotes: >-
  ⚠️ Этот выпуск включает исправление безопасности, связанное с уязвимостью связывания OAuth2, существовавшей до взлома.
  
  
  Этот выпуск включает исправления безопасности и несколько улучшений:
    - Исправлена уязвимость привязки OAuth2 перед взломом.
    - Добавлена проверка фиктивного пароля bcrypt, чтобы минимизировать атаки по времени перечисления, когда регистрация отключена.
    - Исправлен формат сетевого адреса SMTP IPv6.
    - Исправлен выбор автозаполнения, который неправильно обновлял базовое входное значение.
    - Добавлен контейнер прокрутки списка резервных копий.
    - Оптимизирована загрузка модальных данных при записи и предварительном просмотре, чтобы минимизировать скачки макета.
    - Обновлены поставщики Bitbucket, GitHub, GitLab и Gitea/Forgejo OAuth2, чтобы отразить недавние изменения API.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/pocketbase/pocketbase/releases.